LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSlideShowView Interface Reference

View interface to display slide show presentations on. More...

`import"XSlideShowView.idl";`

Inheritance diagram for XSlideShowView:

## Public Member Functions
::com::sun::star::rendering::XSpriteCanvas | getCanvas ()
| Get view canvas. More...
void | clear ()
| This method clears the whole view area. More...
::com::sun::star::geometry::AffineMatrix2D | getTransformation ()
| Query the current transformation matrix for this view. More...
::com::sun::star::geometry::IntegerSize2D | getTranslationOffset ()
| Query the current translation offset used to fill the physical screen while keeping aspect ratio. More...
void | addTransformationChangedListener ([in] ::com::sun::star::util::XModifyListener xListener)
| Add a listener to get notified when the transformation matrix changes. More...
void | removeTransformationChangedListener ([in] ::com::sun::star::util::XModifyListener xListener)
| Revoke a previously registered transformation matrix change listener. More...
void | addPaintListener ([in] ::com::sun::star::awt::XPaintListener xListener)
| Add a listener to get notified when this view needs a repaint. More...
void | removePaintListener ([in] ::com::sun::star::awt::XPaintListener xListener)
| Revoke a previously registered paint listener. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| Add a mouse listener to the view. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| Revoke a previously registered mouse listener. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| Add a mouse motion listener to the view. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| Revoke a previously registered mouse move listener. More...
void | setMouseCursor ([in] short nPointerShape)
| Change the mouse cursor currently in effect. More...
::com::sun::star::awt::Rectangle | getCanvasArea ()
| Get rectangle defining area inside of canvas device which this slide show view uses. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

View interface to display slide show presentations on.

This interface provides the necessary methods to enable an XSlideShow interface to display a presentation. The slide show can be displayed simultaneously on multiple views

Since
  OOo 2.4

## Member Function Documentation

## ◆ addMouseListener()

void addMouseListener | ( | [in] com::sun::star::awt::XMouseListener | xListener | ) |

Add a mouse listener to the view.

This method registers a listener with the view, which will get called every time the mouse is clicked on the view.

Parameters

  xListener | Listener interface to call when the mouse is clicked on the view.

## ◆ addMouseMotionListener()

void addMouseMotionListener | ( | [in] com::sun::star::awt::XMouseMotionListener | xListener | ) |

Add a mouse motion listener to the view.

This method registers a listener with the view, which will get called every time the mouse is moved on the view.

Parameters

  xListener | Listener interface to call when the mouse is moved on the view.

## ◆ addPaintListener()

void addPaintListener | ( | [in] ::com::sun::star::awt::XPaintListener | xListener | ) |

Add a listener to get notified when this view needs a repaint.

This method registers a listener with the view, which will get called every time the view needs an update of their screen representation.

Parameters

  xListener | Listener interface to call when the view needs a repaint.

## ◆ addTransformationChangedListener()

void addTransformationChangedListener | ( | [in] ::com::sun::star::util::XModifyListener | xListener | ) |

Add a listener to get notified when the transformation matrix changes.

This method registers a listener with the view, which will get called every time the transformation matrix changes.

Parameters

  xListener | Listener interface to call when the transformation matrix changes.

## ◆ clear()

void clear | ( |  | ) |

This method clears the whole view area.

The slide show uses this method to fully erase the view content. Since the slide show has no notion of view size, this is the only reliable way to wholly clear the view.

## ◆ getCanvas()

::com::sun::star::rendering::XSpriteCanvas getCanvas | ( |  | ) |

Get view canvas.

This method gets the underlying XCanvas to display on this view.

Returns
  XSpriteCanvas to display on. Must be valid, and the same object, as long as this view is added to any slide show.

## ◆ getCanvasArea()

::com::sun::star::awt::Rectangle getCanvasArea | ( |  | ) |

Get rectangle defining area inside of canvas device which this slide show view uses.

## ◆ getTransformation()

::com::sun::star::geometry::AffineMatrix2D getTransformation | ( |  | ) |

Query the current transformation matrix for this view.

This method returns the transformation matrix of the view. When notified via the transformation change listener, the show will be displayed using the new transformation.

Returns
  the view transformation matrix. Note that the slide show itself will paint all slides as one-by-one boxes, one therefore has to at least provide a scaling at this matrix to blow this up to the desired device pixel size (640 times 480, or whatever size the output view has). Furthermore, the aspect ratio of the scaling should match that of the slides (otherwise, the slides will be scaled anisotropically).

## ◆ getTranslationOffset()

::com::sun::star::geometry::IntegerSize2D getTranslationOffset | ( |  | ) |

Query the current translation offset used to fill the physical screen while keeping aspect ratio.

This method returns the translation offset of the view of the view.

Returns
  the slideshowview will be transformed in order to fill the physical screen while keeping the aspect ratio. In order to do so, we need to add a black border on the side. This method return an IntegerSize2D which represent (x, y) translation. x represents the width of the border on the left, for example.

## ◆ removeMouseListener()

void removeMouseListener | ( | [in] com::sun::star::awt::XMouseListener | xListener | ) |

Revoke a previously registered mouse listener.

Parameters

  xListener | Listener interface to revoke from being called.

## ◆ removeMouseMotionListener()

void removeMouseMotionListener | ( | [in] com::sun::star::awt::XMouseMotionListener | xListener | ) |

Revoke a previously registered mouse move listener.

Parameters

  xListener | Listener interface to revoke from being called.

## ◆ removePaintListener()

void removePaintListener | ( | [in] ::com::sun::star::awt::XPaintListener | xListener | ) |

Revoke a previously registered paint listener.

Parameters

  xListener | Listener interface to revoke from being called.

## ◆ removeTransformationChangedListener()

void removeTransformationChangedListener | ( | [in] ::com::sun::star::util::XModifyListener | xListener | ) |

Revoke a previously registered transformation matrix change listener.

Parameters

  xListener | Listener interface to revoke from being called.

## ◆ setMouseCursor()

void setMouseCursor | ( | [in] short | nPointerShape | ) |

Change the mouse cursor currently in effect.

This method changes the mouse cursor currently in effect, for this view.

Parameters

  nPointerShape | New mouse cursor shape to display for this view. Must be from the com::sun::star::awt::SystemPointer constant group.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XSlideShowView.idl